# Generated by Django 4.0.3 on 2022-12-08 18:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('sales_rest', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SalesRecord',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.IntegerField()),
            ],
        ),
        migrations.RemoveField(
            model_name='automobilevo',
            name='import_href',
        ),
        migrations.RemoveField(
            model_name='customer',
            name='phone',
        ),
        migrations.RemoveField(
            model_name='salesperson',
            name='employee_number',
        ),
        migrations.AddField(
            model_name='automobilevo',
            name='color',
            field=models.CharField(default='color', max_length=50),
        ),
        migrations.AddField(
            model_name='automobilevo',
            name='year',
            field=models.IntegerField(default=0),
        ),
        migrations.AddField(
            model_name='customer',
            name='phoneNumber',
            field=models.CharField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='salesperson',
            name='employeeNumber',
            field=models.IntegerField(null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='automobilevo',
            name='vin',
            field=models.CharField(max_length=20, unique=True),
        ),
        migrations.AlterField(
            model_name='customer',
            name='address',
            field=models.TextField(max_length=500, null=True),
        ),
        migrations.AlterField(
            model_name='customer',
            name='name',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='salesperson',
            name='name',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.DeleteModel(
            name='Sale',
        ),
        migrations.AddField(
            model_name='salesrecord',
            name='automobile',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sales', to='sales_rest.automobilevo'),
        ),
        migrations.AddField(
            model_name='salesrecord',
            name='customer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sales', to='sales_rest.customer'),
        ),
        migrations.AddField(
            model_name='salesrecord',
            name='salesperson',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sales', to='sales_rest.salesperson'),
        ),
    ]
